Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0007653 [DCSS] Patches minor sometimes 2013-10-20 08:12 2013-11-09 15:00
Reporter chris View Status public  
Assigned To neil
Priority normal Resolution done  
Status closed   Product Branch 0.14 ancient branch
Summary 0007653: Rename dragon to fire dragon
Description DRAGON now genus-only.

Brief discussion history in 4d5c11a304968c3635d8b60075a0ab9b39d71d43.

Summary of brainstorm session in August (the good arguments mostly by neil):

"Dragon" means "fire-breathing dragon" in European mythology because the other kinds never existed. In the world of Crawl however, there are many kinds of dragons - so it seems that people would have given the fire-breathing one a more distinctive name.
Red draconians and fire drakes also both get a fire-y qualifier.

Producing "fire dragon armour" from "fire dragon hide" also means less player confusion if a "fire dragon" dropped that hide.

The follow-up tries to make fire-breath messages less awkward (breathing flames instead of fire) similar to what's done with ice dragons breathing frost.

Note that this patch is about four months old, then was updated to include all vault `dragon`s in late August, and has now been rebased on current master. While there hadn't been many conflicts for both updates, i am kind of limited to only testing basic stuff.
Additional Information
Tags No tags attached.
Attached Files ? file icon 0001-Rename-dragon-to-fire-dragon.patch [^] (53,541 bytes) 2013-11-07 18:29 [Show Content]
? file icon 0002-Attempt-to-improve-fire-dragon-breath-message.patch [^] (1,011 bytes) 2013-11-07 18:31 [Show Content]

- Relationships

-  Notes
(0024224)
KiloByte (manager)
2013-10-21 08:47

We don't support DOS anymore. So, sorry.
(0024225)
chris (updater)
2013-10-21 10:11

I'd prefer to actually discuss the attached patches here. If you're interested in making mantis a place I like better, I'm happy to also discuss that - elsewhere.
(0024325)
chris (updater)
2013-11-07 18:32

Rebased against current master (probably the last time i did that, barring any actual feedback).
(0024333)
neil (administrator)
2013-11-09 00:46

Applied in trunk (0.14-a0-766-g558a4af and 0.14-a0-767-gaf97a73), thanks! I also renamed the entry in dat/descript/monsters.txt.
(0024342)
chris (updater)
2013-11-09 15:00

Cool, thank you!
The monster entry was part of some other commit in my local genus branch - sorry about that.

- Issue History
Date Modified Username Field Change
2013-10-20 08:12 chris New Issue
2013-10-20 08:12 chris File Added: 0001-Rename-dragon-to-fire-dragon.patch
2013-10-20 08:12 chris File Added: 0002-Attempt-to-improve-fire-dragon-breath-message.patch
2013-10-21 08:47 KiloByte Note Added: 0024224
2013-10-21 10:11 chris Note Added: 0024225
2013-11-07 18:28 chris File Deleted: 0001-Rename-dragon-to-fire-dragon.patch
2013-11-07 18:29 chris File Added: 0001-Rename-dragon-to-fire-dragon.patch
2013-11-07 18:31 chris File Deleted: 0002-Attempt-to-improve-fire-dragon-breath-message.patch
2013-11-07 18:31 chris File Added: 0002-Attempt-to-improve-fire-dragon-breath-message.patch
2013-11-07 18:32 chris Note Added: 0024325
2013-11-09 00:18 neil Status new => assigned
2013-11-09 00:18 neil Assigned To => neil
2013-11-09 00:46 neil Note Added: 0024333
2013-11-09 00:46 neil Status assigned => resolved
2013-11-09 00:46 neil Fixed in Branch => 0.14 development branch
2013-11-09 00:46 neil Resolution open => done
2013-11-09 15:00 chris Note Added: 0024342
2013-11-09 15:00 chris Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker